org.apache.cassandra.cql3.selection

## Class Selectable.WithFunction.Raw

- java.lang.Object
- - org.apache.cassandra.cql3.selection.Selectable.Raw
  - - org.apache.cassandra.cql3.selection.Selectable.WithFunction.Raw

Enclosing class:
  Selectable.WithFunction

    public static class Selectable.WithFunction.Raw
    extends Selectable.Raw

### Constructor Summary

Constructors
Constructor and Description
`Raw(FunctionName functionName, java.util.List<Selectable.Raw> args)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Selectable.WithFunction.Raw` `newCountRowsFunction()`
`Selectable` `prepare(CFMetaData cfm)`

### Methods inherited from class org.apache.cassandra.cql3.selection.Selectable.Raw

`processesSelection`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Raw

    public Raw(FunctionName functionName,
               java.util.List<Selectable.Raw> args)

### Method Detail

#### newCountRowsFunction

    public static Selectable.WithFunction.Raw newCountRowsFunction()

#### prepare

    public Selectable prepare(CFMetaData cfm)

Specified by:
  `prepare` in class `Selectable.Raw`